Name:          moblin-panel-pasteboard
Version:       0.0.6
Release:       2%{?dist}
Summary:       Moblin Panel for Paste Board

Group:         User Interface/Desktops
License:       GPLv2+
URL:           http://www.moblin.org
Source0:       http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-devel
BuildRequires: dbus-glib-devel
BuildRequires: gtk2-devel
BuildRequires: libmx-devel
BuildRequires: mutter-moblin-devel
BuildRequires: intltool

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool
BuildRequires: gnome-common

Requires: dbus

%description
The Moblin mutter panel for Paste Board.

%prep
%setup -q

# run autogen.sh until we have a proper release, but don't run configure twice.
#NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/moblin-panel-pasteboard
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.pasteboard.service
%{_datadir}/%{name}
%{_datadir}/mutter-moblin/panels/moblin-panel-pasteboard.desktop

%changelog
* Mon Jul  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.6-2
- Rebuild for new libmx

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.6-1
- New upstream 0.0.6 release

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.2-2
- New upstream 0.0.2 release

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-1
- Initial packaging
